bolt.com is getting a new home → boltapp.com. Click here to transition smoothly to boltapp.com.

Skip to content

Create a subscription discount

View As MarkdownMCP
POST
/v1/subscriptions/discounts

Creates a new subscription discount.

Authorization

X-API-Key<token>

In: header

Header Parameters

X-Bolt-Connect-Seller-Id?string

Seller ID for Connect marketplace operations. Required when creating discounts on behalf of a seller.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/subscriptions/discounts" \  -H "Content-Type: application/json" \  -d '{    "name": "10% Off Monthly Plans",    "description": "10% off all monthly subscription plans",    "type": "shipping"  }'
{  "discount": {    "id": "disc_12345",    "name": "10% Off Monthly Plans",    "code": "SAVE10",    "description": "10% off all monthly subscription plans",    "type": "total",    "percentage_off": 10,    "amount_off": 1099,    "created_at": "2023-10-01T12:00:00Z",    "updated_at": "2023-10-01T12:00:00Z"  }}